Bug 68774 - Unhandled exception during first installation - sorry, don't know the module name
Unhandled exception during first installation - sorry, don't know the module ...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-13 20:50 EDT by Roman Kosarenko
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-13 20:50:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Kosarenko 2002-07-13 20:50:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Rogers Hi-Speed 
Internet)

Description of problem:
A very repetitive error under various sets of options on my machine - but it 
looks like it is related to the size of swap file. I had it every time I tried 
to make swap partition 32Mb (equalt to the size of RAM). And when I chose 
autopartition (which made my swap partition over 150Mb), installation went 
through smoothly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. I start installation from CD-ROM and follow on with all default options, 
such as graphical installer, English language, US keyboard, Generic 3 Button 
Mouse (PS/2), laptop system. 
2. Then I select Druid partitioner, and made two partitions - one swap 32 MB 
and the rest (over 3Gb) for the system.
3. Use GRUB Boot Loader (or LILO - with the same effect), install it on MBR, 
then continue with all default options, and enter personal information & 
passwords.
4. Select GNOME package
5. Confirm my video card type
6. Formatting filesystem went through seemingly OK
7. Transferring install image to hard drive went through seemingly OK
8. Setting up RPM transaction went through seemingly OK
9. Install started
	

Actual Results:  An unhandled exception has occured. This is most likely a bug. 
Please copy the full text of this exception or save the crash dump to a floppy 
then file a detailed bug report against anaconda at 
http://bugzilla.redhat.com/bugzilla/

Traceback (innermost last):
File "/usr/bin/anaconda", line 633, in ?
   intf.run(id, dispatch, configFileData)
File "usr/lib/anaconda/text.py", line 427, in run
   dispatch.gotoNext()
File "usr/lib/anaconda/dispatch.py", line 144, in gotoNext
   self.moveStep()
File "usr/lib/anaconda/dispatch.py", line 209, in moveStep
   rc = apply(func, self.bindArgs(args))
File "usr/lib/anaconda/packages.py", line 573, in doInstall
   syslog.start (instPath, syslogname)
File "usr/lib/anaconda/syslog.py", line 63, in start
   self.pid = os.fork ()
OSError: [Errno 12] Cannot allocate memory

Expected Results:  I expected the installation to be completed successfully, of 
course.

Additional info:

I don't know if it matters, but here's machine's basic parameters:
Dell Latitude (laptop) on Intel Pentium II (D233ST), 32MB RAM, 3.1GB HDD.
Comment 1 Michael Fulbright 2002-07-23 12:14:11 EDT
You need at least 128M of swap, maybe more, for a 32M machine.

Note You need to log in before you can comment on or make changes to this bug.